%define upstream_name    Git-Wrapper
%define upstream_version 0.048

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Wrap git(7) command-line interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     0001-Fix-test-9-in-basic.t-with-Git-2.9.patch

BuildRequires: perl(Cwd)
BuildRequires: perl(Devel::CheckBin)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::File)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: git
BuildArch:  noarch
Requires:   git
%description
Git::Wrapper provides an API for git(7) that uses Perl data structures for
argument passing, instead of CLI-style '--options' as the Git manpage does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

git config --get --global user.name  || git config --global user.name  "Your Name"
git config --get --global user.email || git config --global user.email "you@example.com"

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.48.0-5.mga10
+ Revision: 2203972
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.48.0-4.mga9
+ Revision: 1809391
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.48.0-3.mga8
+ Revision: 1504576
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.48.0-2.mga7
+ Revision: 1283941
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 tv <tv> 0.48.0-1.mga7
+ Revision: 1213776
- update to 0.048

* Mon Jul 31 2017 sander85 <sander85> 0.47.0-1.mga7
+ Revision: 1133018
- update to 0.047

* Sat Aug 20 2016 daviddavid <daviddavid> 0.45.0-3.mga6
+ Revision: 1047153
- add patch from upstream bug for compatibility with Git >= 2.9.0
  * https://github.com/genehack/Git-Wrapper/issues/73
+ pterjan <pterjan>
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.45.0-2.mga6
+ Revision: 968862
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 0.45.0-1.mga6
+ Revision: 855684
- update to 0.045

* Sat Jul 04 2015 sander85 <sander85> 0.44.0-1.mga6
+ Revision: 849957
- update to 0.044

* Wed Oct 15 2014 umeabot <umeabot> 0.37.0-3.mga5
+ Revision: 739447
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.37.0-2.mga5
+ Revision: 684872
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 0.37.0-1.mga5
+ Revision: 662602
- update to 0.037

* Wed Aug 13 2014 sander85 <sander85> 0.36.0-1.mga5
+ Revision: 662243
- update to 0.036

* Fri Aug 01 2014 sander85 <sander85> 0.35.0-1.mga5
+ Revision: 659020
- update to 0.035

* Fri Jul 25 2014 sander85 <sander85> 0.34.0-1.mga5
+ Revision: 656448
- update to 0.034

* Sat May 17 2014 sander85 <sander85> 0.32.0-1.mga5
+ Revision: 623250
- update to 0.032

* Thu Apr 17 2014 jquelin <jquelin> 0.31.0-1.mga5
+ Revision: 615390
- update to 0.031

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 530878
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 sander85 <sander85> 0.30.0-1.mga4
+ Revision: 460597
- update to 0.030

* Fri Jun 07 2013 jquelin <jquelin> 0.29.0-1.mga4
+ Revision: 439345
- update to 0.029

* Sun Jan 13 2013 umeabot <umeabot> 0.28.0-2.mga3
+ Revision: 367750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.28.0-1.mga3
+ Revision: 315068
- update to 0.028

* Fri Sep 28 2012 jquelin <jquelin> 0.27.0-2.mga3
+ Revision: 299012
- do not overwrite global git config unless needed

* Wed Sep 26 2012 jquelin <jquelin> 0.27.0-1.mga3
+ Revision: 297994
- update to 0.027

* Fri Aug 31 2012 kharec <kharec> 0.25.0-1.mga3
+ Revision: 286168
- update to 0.025

* Mon Jul 02 2012 jquelin <jquelin> 0.23.0-1.mga3
+ Revision: 266672
- update to 0.023

* Tue Jun 05 2012 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 254952
- update to 0.020

* Thu Oct 13 2011 jquelin <jquelin> 0.17.0-1.mga2
+ Revision: 154313
- update to 0.017

* Mon Sep 26 2011 jquelin <jquelin> 0.16.0-1.mga2
+ Revision: 148076
- update to 0.016
- update to 0.015

* Fri Jan 21 2011 jquelin <jquelin> 0.14.0-1.mga1
+ Revision: 29280
- adding git config to make tests pass
- mageia rebuild
- imported package perl-Git-Wrapper

